Groovy Documentation

## org.codehaus.groovy.grails.test.support
[Groovy] Class GrailsTestMode

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestMode

    class GrailsTestMode

Property Summary
`boolean` | `autowire`
`boolean` | `wrapInRequestEnvironment`
`boolean` | `wrapInTransaction`

Method Summary
`GrailsTestInterceptor` | `createInterceptor(java.lang.Object test, ApplicationContext appCtx, String[] testClassSuffixes)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### autowire

    boolean autowire

### wrapInRequestEnvironment

    boolean wrapInRequestEnvironment

### wrapInTransaction

    boolean wrapInTransaction

Method Detail

### createInterceptor

    GrailsTestInterceptor createInterceptor(java.lang.Object test, ApplicationContext appCtx, String[] testClassSuffixes)

Groovy Documentation